  

.pos-card {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border: solid 1px var(--m-color-grey);
  padding: 15px 20px;
  border-radius: var(--m-border-radius);
  cursor: pointer;
  box-shadow: none;
  transition: var(--m-default-transition);

  &:hover {
    box-shadow: var(--m-shadow-small);
    border-color: var(--m-color-grey);

    .right-section {
      .hover-text {
        color: var(--m-color-primary);
        transition : var(--m-default-transition);
      }
    }
  }

  .left-section {
    display: flex;
    align-items: center;
  
    .logo {
      margin-right: 20px;
      width: 100px;
      min-width: 100px;
      img {
        width: 100%;
      }
    }
  
    .details {
      display: flex;
      flex-direction: column;
  
      .title-distance {
        display: flex;
        align-items: center;
  
        .title {
          margin-right: 10px;
          font-size: 14px;
        }
  
        .distance {
          font-size: 12px;
          border: solid 1px var(--m-color-grey-text);
          border-radius: var(--m-border-radius);
          padding: 6px 8px;
          white-space: nowrap;
        }
      }
  
      .catalogue {
        margin-top: 5px;
        margin-bottom: 10px;
        font-size: 12px;
      }
  
      .delivery-options {
        display: flex;
        font-size: 12px;

  
        .option {
          margin-right: 10px;
          background-color: var(--m-color-grey);
          border-radius: var(--m-border-radius);
          padding: 6px 8px;
        }
      }
    }
  }
  
  .right-section {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 320px;
    position: relative;
    margin-left: 10px;
  
    .hover-text {
      color: var(--m-color-grey-text-dark);
      text-decoration: underline;
      position: absolute;
      left: 0;
    }
  
    .availability {
      margin-left: 15px;
      font-size: 12px;
    
    
      .gauge-wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
    
        .caption {
          margin-bottom: 5px;
          text-align: center;
        }
    
        .gauge {
          position: relative;
          width: 125px;
          height: 15px;
    
          .empty, .full {
            height: 15px;
            border-radius: var(--m-border-radius);
            position: absolute;
          }
    
          .empty {
            background-color: var(--m-color-grey);
            width: inherit;
          }
        }
      }
    
      .ratio {
        display: flex;
        justify-content: center;
        align-items: center;
        margin-top: 10px;
        font-size: 14px;
      }
    }
  }
}